# Class JspPropertyGroupDescriptorImpl

java.lang.Object
org.apache.tomcat.util.descriptor.web.JspPropertyGroupDescriptorImpl

All Implemented Interfaces:
  `JspPropertyGroupDescriptor`

public class JspPropertyGroupDescriptorImpl extends Object implements JspPropertyGroupDescriptor
Implementation of JspPropertyGroupDescriptor that wraps a JspPropertyGroup.

## Constructor Summary

Constructors
Constructor
Description
`JspPropertyGroupDescriptorImpl(JspPropertyGroup jspPropertyGroup)`
Constructs an instance that wraps the given JspPropertyGroup.

## Method Summary

Modifier and Type
Method
Description
`String`
`getBuffer()`
Obtain the per-page buffer configuration for this group of JSP pages.
`String`
`getDefaultContentType()`
Obtain the default content type this group of JSP pages
`String`
`getDeferredSyntaxAllowedAsLiteral()`
Is the deferred El syntax `#{...}` allowed to be used as a literal in this group?
`String`
`getElIgnored()`
Is Expression Language ignored for this group?
`String`
`getErrorOnELNotFound()`
Will the use of an unknown identifier in EL within a JSP page trigger an error for this group?
`String`
`getErrorOnUndeclaredNamespace()`
Should an error be raised at translation time for a page in this group if the page contains a reference (e.g. a tag) to an undeclared namespace.
`Collection<String>`
`getIncludeCodas()`
Obtain the codas to include for this group.
`Collection<String>`
`getIncludePreludes()`
Obtain the preludes to include for this group.
`String`
`getIsXml()`
Should the JSPs in this group be treated as JSP documents?
`String`
`getPageEncoding()`
Obtain the page encoding for this group.
`String`
`getScriptingInvalid()`
Is scripting disabled for this group?
`String`
`getTrimDirectiveWhitespaces()`
Should the JSPs in this group have template text that only contains whitespace removed?
`Collection<String>`
`getUrlPatterns()`
Obtain the patterns to which this group applies.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JspPropertyGroupDescriptorImpl

public JspPropertyGroupDescriptorImpl(JspPropertyGroup jspPropertyGroup)
Constructs an instance that wraps the given JspPropertyGroup.

Parameters:
  `jspPropertyGroup` - The underlying JspPropertyGroup

## Method Details

### getBuffer

public String getBuffer()
Description copied from interface: `jakarta.servlet.descriptor.JspPropertyGroupDescriptor`
Obtain the per-page buffer configuration for this group of JSP pages.

Specified by:
  `getBuffer` in interface `JspPropertyGroupDescriptor`
Returns:
  the per-page buffer configuration for this group of JSP pages

### getDefaultContentType

public String getDefaultContentType()
Description copied from interface: `jakarta.servlet.descriptor.JspPropertyGroupDescriptor`
Obtain the default content type this group of JSP pages.#

Specified by:
  `getDefaultContentType` in interface `JspPropertyGroupDescriptor`
Returns:
  the default content type this group of JSP pages

### getDeferredSyntaxAllowedAsLiteral

public String getDeferredSyntaxAllowedAsLiteral()
Description copied from interface: `jakarta.servlet.descriptor.JspPropertyGroupDescriptor`
Is the deferred El syntax `#{...}` allowed to be used as a literal in this group?

Specified by:
  `getDeferredSyntaxAllowedAsLiteral` in interface `JspPropertyGroupDescriptor`
Returns:
  `true` if the deferred EL syntax is allowed to be used as a literal, otherwise `false`

### getElIgnored

public String getElIgnored()
Description copied from interface: `jakarta.servlet.descriptor.JspPropertyGroupDescriptor`
Is Expression Language ignored for this group?

Specified by:
  `getElIgnored` in interface `JspPropertyGroupDescriptor`
Returns:
  `true` if EL is ignored, otherwise `false`

### getErrorOnELNotFound

public String getErrorOnELNotFound()
Description copied from interface: `jakarta.servlet.descriptor.JspPropertyGroupDescriptor`
Will the use of an unknown identifier in EL within a JSP page trigger an error for this group?

Specified by:
  `getErrorOnELNotFound` in interface `JspPropertyGroupDescriptor`
Returns:
  `true` if an error will be triggered, otherwise `false`

### getErrorOnUndeclaredNamespace

public String getErrorOnUndeclaredNamespace()
Description copied from interface: `jakarta.servlet.descriptor.JspPropertyGroupDescriptor`
Should an error be raised at translation time for a page in this group if the page contains a reference (e.g. a tag) to an undeclared namespace.

Specified by:
  `getErrorOnUndeclaredNamespace` in interface `JspPropertyGroupDescriptor`
Returns:
  `true` if an error should be raised, otherwise `false`

### getIncludeCodas

public Collection<String> getIncludeCodas()
Description copied from interface: `jakarta.servlet.descriptor.JspPropertyGroupDescriptor`
Obtain the codas to include for this group.

Specified by:
  `getIncludeCodas` in interface `JspPropertyGroupDescriptor`
Returns:
  the codas to include for this group.

### getIncludePreludes

public Collection<String> getIncludePreludes()
Description copied from interface: `jakarta.servlet.descriptor.JspPropertyGroupDescriptor`
Obtain the preludes to include for this group.

Specified by:
  `getIncludePreludes` in interface `JspPropertyGroupDescriptor`
Returns:
  the preludes to include for this group

### getIsXml

public String getIsXml()
Description copied from interface: `jakarta.servlet.descriptor.JspPropertyGroupDescriptor`
Should the JSPs in this group be treated as JSP documents?

Specified by:
  `getIsXml` in interface `JspPropertyGroupDescriptor`
Returns:
  `true` if the JSPs should be treated as JSP documents, otherwise `false`

### getPageEncoding

public String getPageEncoding()
Description copied from interface: `jakarta.servlet.descriptor.JspPropertyGroupDescriptor`
Obtain the page encoding for this group.

Specified by:
  `getPageEncoding` in interface `JspPropertyGroupDescriptor`
Returns:
  the page encoding for this group

### getScriptingInvalid

public String getScriptingInvalid()
Description copied from interface: `jakarta.servlet.descriptor.JspPropertyGroupDescriptor`
Is scripting disabled for this group?

Specified by:
  `getScriptingInvalid` in interface `JspPropertyGroupDescriptor`
Returns:
  `true` if scripting is disabled, otherwise `false`

### getTrimDirectiveWhitespaces

public String getTrimDirectiveWhitespaces()
Description copied from interface: `jakarta.servlet.descriptor.JspPropertyGroupDescriptor`
Should the JSPs in this group have template text that only contains whitespace removed?

Specified by:
  `getTrimDirectiveWhitespaces` in interface `JspPropertyGroupDescriptor`
Returns:
  `true` if the whitespace be removed, otherwise `false`

### getUrlPatterns

public Collection<String> getUrlPatterns()
Description copied from interface: `jakarta.servlet.descriptor.JspPropertyGroupDescriptor`
Obtain the patterns to which this group applies.

Specified by:
  `getUrlPatterns` in interface `JspPropertyGroupDescriptor`
Returns:
  the patterns to which this group applies